package pop;

import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;
import pop.*;

public class manager extends Applet{

  public grid background;
  public readVars values;
  public graph[] graphs;
public double minX=-20.0;
public double maxX=200.0;
public double minY=-30.0;
public double maxY=300.0;

public void setReload(boolean val){
background.reload=val;
}

public manager(){
super();
}

public manager(graph[] graphs, boolean normalizeX){
this(graphs);
background.normalizeX=normalizeX;
}

public manager(graph[] graphs){
this(graphs,-10.0,100.0,-0.1,1.0);
}

public manager(double minX,double maxX,double minY,double maxY){
this(null,minX,maxX,minY,maxY);
}

public void init(){
    GridBagLayout gridbag = new GridBagLayout();

    values=new readVars("Update");
    GridBagConstraints c2 = new GridBagConstraints();
    c2.anchor=GridBagConstraints.WEST;
    c2.ipadx=0;
    c2.gridwidth =1;
    c2.gridheight=1;
    gridbag.setConstraints(values, c2);

    GridBagConstraints c = new GridBagConstraints();
    c.fill = GridBagConstraints.BOTH;
    c.anchor=GridBagConstraints.CENTER;
    c.gridwidth = GridBagConstraints.REMAINDER; 
    c.weightx=1.0;
    c.weighty=1.0;
    this.graphs=graphs;
    background=new grid(graphs,minX,maxX,minY,maxY);
    gridbag.setConstraints(background, c);
    setLayout(gridbag);
    add(values);
    add(background);
}

public manager(graph[] graphs,double minX,double maxX,double minY,double maxY){
this.graphs=graphs;
this.minX=minX;
this.maxX=maxX;
this.minY=minY;
this.maxY=maxY;
init();
}

public void repaint(){
background.graphs=graphs;
background.repaint();
validate();
}

public void show(int x,int y){
  resize(x,y);
  super.setVisible(true);
}

}

