import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;
import pop.*;

public class interPop extends pop.manager{

public interPop(){
}

public interPop(double minX,double maxX,double minY,double maxY){
super(minX,maxX,minY,maxY);
}

//displayed text for the variables
public static final String initPred="initPred";
public static final String initPrey="initPrey";
public static final String killRate="killRate";
public static final String DeathRate="DeathRate";
public static final String Efficiency="Efficiency";
public static final String BirthRate="BirthRate";

public void newPops(double initPred,double initPrey,double killRate,double DeathRate,double Efficiency,double BirthRate){
graphs=new graph[] {new graph(),new graph()};
Predator pop1=new Predator(initPred,graphs[0]);      //green graph
pop1.setKillRate(killRate);
pop1.setDeathRate(DeathRate);
pop1.setEfficiency(Efficiency);
Prey pop2=new Prey(initPrey,graphs[1],pop1);        //red graph
pop2.setBirthRate(BirthRate);
pop1.changePrey(pop2);                           //tell predators their prey
for(int i=0;i<200;i++){  //calculate 900 steps
  pop1.next();
  pop2.next();
  }
setReload(true);
repaint();
}

public void update(){
try{
double iPred=Double.parseDouble(values.getKeyVal(initPred));
double iPrey=Double.parseDouble(values.getKeyVal(initPrey));
double killR=Double.parseDouble(values.getKeyVal(killRate));
double DeathR=Double.parseDouble(values.getKeyVal(DeathRate));
double Eff=Double.parseDouble(values.getKeyVal(Efficiency));
double BirthR=Double.parseDouble(values.getKeyVal(BirthRate));
newPops(iPred, iPrey, killR, DeathR, Eff, BirthR);
}catch(NumberFormatException x){System.err.println("please enter double values");}
}

public void start(){
//parameters for interPop Objects: 
//40.0:initial pop size Predator
//87.0:initial pop size Prey
//0.007:killRate (e.g. how many encounters; may be interpreted as density), 
//0.2:DeathRate Pred ("natural" deaths among Predators)
//1.4:Efficiency (how good can predators turn catched prey into children)
//1.6:Reproduction Rate of Prey

newPops(40.0, 87.0, 0.007, 0.2, 1.4, 1.6);
//87.0 initial prey pop still stable; at 86.0 everyone dies after ~100 steps

values.addVar(initPred,"40.0");
values.addVar(initPrey,"87.0");
values.addVar(killRate,"0.007");
values.addVar(DeathRate,"0.2");
values.addVar(Efficiency,"1.4");
values.addVar(BirthRate,"1.6");
values.but.addActionListener(new ActionListener(){
  public void actionPerformed(ActionEvent e){
    update();
    }
  }
  );
}

public static void main(String[] argv){
                          //show 200 steps with max pop 300
new AppletFrame("interPop",new interPop(-20.0,200.0,-30.0,300.0),480,400);
}

}

class AppletFrame extends Frame {
       
AppletFrame(String title, interPop applet, int width, int height){
  super(title);
  //applet.init();
  applet.start();
  applet.setVisible(true);
  this.add(applet);
  this.pack();
  this.setSize(width,height);
  this.show();
  addWindowListener(
      new WindowAdapter() {  // close the window when the user clicks its close box
          public void windowClosing(WindowEvent evt) {
          close();
          }
      });
          
  }

public void close(){
   dispose();
   }

}
