package pop;

//labPop since this models a single species living on its own,
//where the total number of living beings is completly specified
//by those alive in the last cycle.
//This is fascinating anyway since from a fertility of 3.5 and
//above you get for nearly the same inputs (0.0000001 difference)
//were different outcomes after say 50 steps. (chaotic behaviour)

public class labPop{

public double r=4.0; //maximum fertility rate; r>=3.5
                                  //leads to chaotic behaviour
//public labPop depending;
public listener report=null;
public double lastVal;

public labPop(double init, listener report){
this(init);
this.report=report;
report.add(lastVal);              //add initial value to listener (e.g. graph)
}

public labPop(double init){
//depending=dependsOn;
lastVal=init;
}

public double next(){
lastVal=r*lastVal*(1.0-lastVal);
if(report!=null)
  report.add(lastVal);
return lastVal;
}

}
